de.vc.jfo.tools

## Class ConverterEvent

- java.lang.Object
- - java.util.EventObject
  - - de.vc.jfo.tools.ConverterEvent

- All Implemented Interfaces:
    java.io.Serializable

      public final class ConverterEvent
      extends java.util.EventObject

  Event thrown by converter.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATE_POST_CONVERSION`
    `static int` | `STATE_POST_IMPORT`
    `static int` | `STATE_POST_RENDERING`
    `static int` | `STATE_PRE_CONVERSION`
    `static int` | `STATE_PRE_IMPORT`
    `static int` | `STATE_PRE_RENDERING`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentFileIndex()`
    `java.io.File` | `getSourceFile()`
    `int` | `getState()`
    `java.io.File` | `getTargetFile()`
    `int` | `getTotalFileCount()`
    `long` | `getUsedTime()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATE_PRE_CONVERSION

          public static final int STATE_PRE_CONVERSION

      See Also:
        Constant Field Values

    - #### STATE_POST_CONVERSION

          public static final int STATE_POST_CONVERSION

      See Also:
        Constant Field Values

    - #### STATE_PRE_IMPORT

          public static final int STATE_PRE_IMPORT

      See Also:
        Constant Field Values

    - #### STATE_POST_IMPORT

          public static final int STATE_POST_IMPORT

      See Also:
        Constant Field Values

    - #### STATE_PRE_RENDERING

          public static final int STATE_PRE_RENDERING

      See Also:
        Constant Field Values

    - #### STATE_POST_RENDERING

          public static final int STATE_POST_RENDERING

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCurrentFileIndex

          public int getCurrentFileIndex()

    - #### getSourceFile

          public java.io.File getSourceFile()

    - #### getTargetFile

          public java.io.File getTargetFile()

    - #### getTotalFileCount

          public int getTotalFileCount()

    - #### getUsedTime

          public long getUsedTime()

    - #### getState

          public int getState()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.